Subject: Re: linux-next: build failure after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 20 Apr 2011 08:30:55 +1000

Hi Michal,

On Wed, 20 Apr 2011 08:25:14 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the kbuild tree, today's linux-next build (s390 allnoconfig)
> failed like this:
> 
> /opt/crosstool/gcc-4.3.2-nolibc/bin/s390x-linux-ar: illegal option -- D
> 
> Caused by commit 09ff9fecc039 ("kbuild: Use the deterministic mode of ar").
> 
> $ /opt/crosstool/gcc-4.3.2-nolibc/bin/s390x-linux-ar --version
> GNU ar (GNU Binutils) 2.19
> 
> I presume that this version of ar is now too old to build the kernel?
> Documentation/Changes only mentions Binutils verion 2.12.

This actually broke nearly all my overnight builds.  Version 2.19.1 is also
not new enough, but 2.20 is ok.

I am going to have to try to revert that commit today or go back to the
kbuild tree from next-20110418.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/